Create Order Shipment
Creates an Order Shipment. For more details, see Shipping an Order.
Required Fields
- order_address_id
- items
Usage notes
There are three methods for generating a tracking link for a shipment:
-
Use
shipping_providerandtracking_number: This generates a link to one of our integrated providers that you can click from the BigCommerce control panel and customer-facing emails. If a merchant still needs to set up a shipping provider or if the provider is not one of our natively integrated providers, you will click on an Aftership tracking link instead. Thegenerated_tracking_linkproperty in the API response represents one of these tracking links. Thetracking_linkproperty in the API response will remain empty. -
Use
tracking_carrierandtracking_number: This also creates a link to one of our integrated providers or an Aftership tracking link that you can click in both the BigCommerce control panel and customer-facing emails. Like the previous method, thegenerated_tracking_linkproperty in the API response represents this tracking link. Thetracking_linkproperty in the API response will remain empty. -
Supply a custom
tracking_link: By providing a value for thetracking_linkproperty, you can use your own tracking link within the BigCommerce control panel and in customer-facing emails. The API response will return your supplied tracking link as part of thetracking_linkproperty in the response. In situations when there isn’t agenerated_tracking_link, the property in the API response will remain empty.
Acceptable values for shipping_provider include the following, and this list may be updated at any time:
"", an empty stringauspostcanadapostendiciauspsfedexroyalmailupsupsreadyshipperhqcarrier_{your_carrier_id}, when the carrier is a third-party Shipping Provider
Acceptable values for tracking_carrier include an empty string ("") or one of the valid tracking-carrier values.
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
Headers
The MIME type of the response body.
Request
ID of the desired shipping_address associated with the shipment.
The custom tracking link supplied on POST or PUT shipments. For the link to one of our integrated providers or Aftership tracking link see the generated_tracking_link property.
Additional information to describe the method of shipment (ex. Standard, Ship by Weight, Custom Shipment). Can be used for live quotes from certain shipping providers.
If different from shipping_provider, shipping_method should correspond to tracking_carrier.
Tracking carrier for the shipment.
Acceptable values for tracking_carrier include an empty string ("") or one of the valid tracking-carrier values.
The items in the shipment. This object has the following members, all integer: order_product_id (required), quantity (required), product_id (read-only). A sample items value might be: [ {“order_product_id”:16,“product_id”: 0,“quantity”:2} ]
Response
ID of this order’s customer.
ID of the desired shipping_address associated with the shipment.
Additional information to describe the method of shipment (ex. Standard, Ship by Weight, Custom Shipment). Can be used for live quotes from certain shipping providers.
If different from shipping_provider, shipping_method should correspond to tracking_carrier.
Tracking carrier for the shipment.
Acceptable values for tracking_carrier include an empty string ("") or one of the valid tracking-carrier values.
The custom tracking link supplied on POST or PUT shipments. For the link to one of our integrated providers or Aftership tracking link, see the generated_tracking_link property.
The items in the shipment. This object has the following members, all integer: order_product_id (required), quantity (required), product_id (read-only). A sample items value might be: [ {“order_product_id”:16,“product_id”: 0,“quantity”:2} ]
The human-readable name for the shipping_provider.
The link to one of our integrated providers or Aftership tracking link that is generated using the combination of either the tracking_number and shipping_provider or tracking_number and tracking_carrier. This will be empty if the custom tracking_link value is provided.